<?php
class activityctrl{
    public function salescontactdetails($cid){
        include_once('../Model/activity.php');
        $dbobj=new activitydb();
        $result=$dbobj->sales_contact_details($cid);
        return $result;
    }
    public function salesemployeeactionstreamstatustaglead($companyname, $adminemailid, $column, $sid){
        include_once('../Model/activity.php');
        $dbobj=new activitydb();
        $result=$dbobj->sales_employee_action_stream_status_tag_lead($companyname, $adminemailid, $column, $sid);
        return $result;
    }
    public function salesactionstreamstatustaglead($companyname, $adminemailid, $column, $sid){
        include_once('../Model/activity.php');
        $dbobj=new activitydb();
        $result=$dbobj->sales_action_stream_status_tag_lead($companyname, $adminemailid, $column, $sid);
        return $result;
    }
    public function salesactivitycreateddealview($contid, $datetime, $createby, $createtype){
        include_once('../Model/activity.php');
        $dbobj=new activitydb();
        $result=$dbobj->sales_activity_created_deal_view($contid, $datetime, $createby, $createtype);
        return $result;
    }
    public function salesactivitycreatednextactionview($contid, $datetime, $createby, $createtype){
        include_once('../Model/activity.php');
        $dbobj=new activitydb();
        $result=$dbobj->sales_activity_created_nextaction_view($contid, $datetime, $createby, $createtype);
        return $result;
    }
    public function salesactivitycreatednoteview($contid, $datetime, $createby, $createtype){
        include_once('../Model/activity.php');
        $dbobj=new activitydb();
        $result=$dbobj->sales_activity_created_note_view($contid, $datetime, $createby, $createtype);
        return $result;
    }
    public function salesactivitycreatedcallview($contid, $datetime, $createby, $createtype){
        include_once('../Model/activity.php');
        $dbobj=new activitydb();
        $result=$dbobj->sales_activity_created_call_view($contid, $datetime, $createby, $createtype);
        return $result;
    }
    public function salesactivityviewall($type, $contid, $startvalue, $companyname, $adminemailid){
        include_once('../Model/activity.php');
        $dbobj=new activitydb();
        $result=$dbobj->sales_activity_view_all($type, $contid, $startvalue, $companyname, $adminemailid);
        return $result;
    }
    public function salesactivityviewupdate($type, $contid, $startvalue, $companyname, $adminemailid){
        include_once('../Model/activity.php');
        $dbobj=new activitydb();
        $result=$dbobj->sales_activity_view_update($type, $contid, $startvalue, $companyname, $adminemailid);
        return $result;
    }
    public function salesactivityviewcallnote($type, $contid, $startvalue, $companyname, $adminemailid){
        include_once('../Model/activity.php');
        $dbobj=new activitydb();
        $result=$dbobj->sales_activity_view_call_note($type, $contid, $startvalue, $companyname, $adminemailid);
        return $result;
    }
    public function salesactivityviewdeal($type, $contid, $startvalue, $companyname, $adminemailid){
        include_once('../Model/activity.php');
        $dbobj=new activitydb();
        $result=$dbobj->sales_activity_view_deal($type, $contid, $startvalue, $companyname, $adminemailid);
        return $result;
    }
    public function salesactivityviewnextaction($type, $contid, $startvalue, $companyname, $adminemailid){
        include_once('../Model/activity.php');
        $dbobj=new activitydb();
        $result=$dbobj->sales_activity_view_nextaction($type, $contid, $startvalue, $companyname, $adminemailid);
        return $result;
    }
    public function salesactivitycount($type, $subtype, $contid, $companyname, $adminemailid){
        include_once('../Model/activity.php');
        $dbobj=new activitydb();
        $result=$dbobj->sales_activity_count($type, $subtype, $contid, $companyname, $adminemailid);
        return $result;
    }
    public function salesemployeeactivitycount($type, $subtype, $contid, $companyname, $adminemailid){
        include_once('../Model/activity.php');
        $dbobj=new activitydb();
        $result=$dbobj->sales_employee_activity_count($type, $subtype, $contid, $companyname, $adminemailid);
        return $result;
    }
    public function salesemployeeactivityviewupdate($type, $contid, $startvalue, $companyname, $adminemailid){
        include_once('../Model/activity.php');
        $dbobj=new activitydb();
        $result=$dbobj->sales_employee_activity_view_update($type, $contid, $startvalue, $companyname, $adminemailid);
        return $result;
    }
    public function salesemployeeactivityviewcallnote($type, $contid, $startvalue, $companyname, $adminemailid){
        include_once('../Model/activity.php');
        $dbobj=new activitydb();
        $result=$dbobj->sales_employee_activity_view_call_note($type, $contid, $startvalue, $companyname, $adminemailid);
        return $result;
    }
    public function salesemployeeactivityviewdeal($type, $contid, $startvalue, $companyname, $adminemailid){
        include_once('../Model/activity.php');
        $dbobj=new activitydb();
        $result=$dbobj->sales_employee_activity_view_deal($type, $contid, $startvalue, $companyname, $adminemailid);
        return $result;
    }
    public function salesemployeeactivityviewnextaction($type, $contid, $startvalue, $companyname, $adminemailid){
        include_once('../Model/activity.php');
        $dbobj=new activitydb();
        $result=$dbobj->sales_employee_activity_view_nextaction($type, $contid, $startvalue, $companyname, $adminemailid);
        return $result;
    }
    public function salesemployeeactivityviewall($type, $contid, $startvalue, $companyname, $adminemailid){
        include_once('../Model/activity.php');
        $dbobj=new activitydb();
        $result=$dbobj->sales_employee_activity_view_all($type, $contid, $startvalue, $companyname, $adminemailid);
        return $result;
    }
    
}
?>